### 7.1 `bcmp`—compare two memory areas ¶

Synopsis

    #include <strings.h>
    int bcmp(const void *s1, const void *s2, size_t n);

Description
This function compares not more than n bytes of the object pointed to by s1 with the object pointed to by s2.

This function is identical to `memcmp`.

Returns
The function returns an integer greater than, equal to or less than zero according to whether the object pointed to by s1 is greater than, equal to or less than the object pointed to by s2.

Portability
`bcmp` requires no supporting OS subroutines.